OpenNMS API 1.2.9

## org.opennms.netmgt.filter.node
Class AOrRule

    java.lang.Object
      org.opennms.netmgt.filter.node.Node
          org.opennms.netmgt.filter.node.PRule
              org.opennms.netmgt.filter.node.AOrRule

All Implemented Interfaces:
  java.lang.Cloneable, Switchable

public final class AOrRule
extends PRule

Field Summary
`private PExpr` `_expr_`
`private TOr` `_or_`
`private PRule` `_rule_`

Fields inherited from class org.opennms.netmgt.filter.node.Node
``

Constructor Summary
`AOrRule()`
`AOrRule(PRule _rule_, TOr _or_, PExpr _expr_)`

Method Summary
`void` `apply(Switch sw)`
`java.lang.Object` `clone()`
`PExpr` `getExpr()`
`TOr` `getOr()`
`PRule` `getRule()`
`(package private) void` `removeChild(Node child)`
`(package private) void` `replaceChild(Node oldChild, Node newChild)`
`void` `setExpr(PExpr node)`
`void` `setOr(TOr node)`
`void` `setRule(PRule node)`
`java.lang.String` `toString()`

Methods inherited from class org.opennms.netmgt.filter.node.Node
`cloneList, cloneNode, parent, parent, replaceBy, toString, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### _rule_

    private PRule _rule_

### _or_

    private TOr _or_

### _expr_

    private PExpr _expr_

Constructor Detail

### AOrRule

    public AOrRule()

### AOrRule

    public AOrRule(PRule _rule_,
                   TOr _or_,
                   PExpr _expr_)

Method Detail

### clone

    public java.lang.Object clone()

  Specified by:
    `clone` in class `Node`

### apply

    public void apply(Switch sw)

### getRule

    public PRule getRule()

### setRule

    public void setRule(PRule node)

### getOr

    public TOr getOr()

### setOr

    public void setOr(TOr node)

### getExpr

    public PExpr getExpr()

### setExpr

    public void setExpr(PExpr node)

### toString

    public java.lang.String toString()

### removeChild

    void removeChild(Node child)

  Specified by:
    `removeChild` in class `Node`

### replaceChild

    void replaceChild(Node oldChild,
                      Node newChild)

  Specified by:
    `replaceChild` in class `Node`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.